<?php
$this->breadcrumbs = array(
    yii::t('default', 'Configurations') => array('/dashboard/configuration'),
    Yii::t('Default', 'Settings'),
);
?>


<?php
$form = $this->beginWidget('bootstrap.widgets.FTbActiveForm', array(
            'id' => 'setting-form',
            'enableAjaxValidation' => false,
        )); ?>

<?php $this->widget('bootstrap.widgets.TbAlert'); ?>


<?php

echo $form->textFieldRow($settings_model, 'first_ldap_server', array('value' => $settings_array["first_ldap_server"]));

echo $form->textFieldRow($settings_model, 'second_ldap_server', array('value' => $settings_array["second_ldap_server"]));

echo $form->textFieldRow($settings_model, 'authentication_ldap_server', array('value' => $settings_array["authentication_ldap_server"]));

echo $form->textFieldRow($settings_model, 'ldap_port', array('value' => $settings_array["ldap_port"]));

echo $form->textFieldRow($settings_model, 'base_dn', array('value' => $settings_array["base_dn"]));

echo $form->textFieldRow($settings_model, 'backup_file_path', array('value' => $settings_array["backup_file_path"]));

echo $form->textFieldRow($settings_model, 'non_ldap_persons_number_prefix', array('value' => $settings_array["non_ldap_persons_number_prefix"]));

$settings_model->authentication_method=$settings_array['authentication_method'];

echo $form->dropDownListRow($settings_model, 'authentication_method',
        array('LDAP' => Yii::t('default', 'LDAP'),
            'System' => Yii::t('default', 'System'),
            'Both' => Yii::t('default', 'Both'),
));
?>


<div class="actions">
    <?php echo CHtml::submitButton(Yii::t('default', 'Save'), array('class' => 'btn primary', 'name' => 'settings')); ?>
</div>

<?php $this->endWidget(); ?> <!-- end the widget of the form-->

